$(function () {
    $("#example1").DataTable({
        "responsive": true, "lengthChange": false, "autoWidth": false,
        "buttons": ["copy", "csv", "excel", "pdf", "print", "colvis"]
    }).buttons().container().appendTo('#example1_wrapper .col-md-6:eq(0)');
    $('#example2').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": false,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "responsive": true,
    });
    $("#formReplicarMalla").on("submit", function (e) {
        ReplicarMalla(e);
    });
});

$(document).ready(function () {
    combo_Carrera();
    combo_Periodo();
    combo_PeriodoN();
});

function combo_Carrera() {
    $.post("../../controller/carrera.php?op=comboCarrera", function (data) {
        $('#carrera').html(data);
    });
}

function combo_Periodo() {
    $.post("../../controller/periodo.php?op=comboPeriodoFiltro", {carreradbk: $('#carrera').val()}, function (data) {
        $('#periodo').html(data);
    });
}
function combo_PeriodoN() {
    $.post("../../controller/periodo.php?op=comboPeriodo", function (data) {
        $('#periodoN').html(data);
    });
}

$("#carrera").change(function () {
    $("#carrera option:selected").each(function () {
        carreradbk = $(this).val();
        $("#periodo").removeAttr('disabled');
        combo_Periodo();
    })
})

function ReplicarMalla(e) {
    e.preventDefault();
    var formData = new FormData($("#formReplicarMalla")[0]);
    var carrera = $('#carrera').val();
    var periodo = $('#periodo').val();    
    var periodoN = $('#periodoN').val();    
    $('#replica-data').DataTable({
        "aProcessing": true,
        "aServerSide": true,
        dom: 'Bfrtip',
        buttons: [
            'copyHtml5',
            'excelHtml5',
            'csvHtml5',
            'pdfHtml5',
            'print',
            'colvis'
        ],
        "ajax": {
            url: "../../controller/procesos.php?op=replicar&carrera=" + carrera + "&periodo=" + periodo+"&periodoN="+periodoN,
            type: "post"
        },
        "bDestroy": true,
        "responsive": true,
        "bInfo": true,
        "iDisplayLength": 20,
        "order": [[0, "desc"]],
        "language": {
            "sProcessing": "Procesando...",
            "sLengthMenu": "Mostrar _MENU_ registros",
            "sZeroRecords": "No se encontraron resultados",
            "sEmptyTable": "Ningun dato disponible en esta tabla",
            "sInfo": "Mostrando registro del _START_ al _END_ de un total de _TOTAL_ registros",
            "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
            "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
            "sInfoPostFix": "",
            "sSearch": "Buscar:",
            "sUrl": "",
            "sInfoThousands": ",",
            "sLoadingRecords": "Cargando...",
            "oPaginate": {
                "sFirst": "Primero",
                "sLast": "Ultimo",
                "sNext": "Siguiente",
                "sPrevious": "Anterior"
            },
            "oAria": {
                "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
            }
        },
    });
}